Skip to content

Platform configuration and operations

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

Personal

HTTP
POST /api/v1/tenants/{tenant_id}/activity/personal

Contract operation: ActivityController.personal.

SDK Method
Python personal_activity
TypeScript activity.personal
Java client.activity.personal

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ActivityWindow]] Yes Not specified

Request and response

Contract Value
Request schema ActivityWindow
Response schema ActivitySummary
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Administrative

HTTP
POST /api/v1/tenants/{tenant_id}/activity/administration

Contract operation: ActivityController.administrative.

SDK Method
Python administrative_activity
TypeScript activity.administrative
Java client.activity.administrative

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ActivityWindow]] Yes Not specified

Request and response

Contract Value
Request schema ActivityWindow
Response schema ActivitySummary
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Audit

HTTP
GET /api/v1/tenants/{tenant_id}/audit

Contract operation: AuditController.audit.

SDK Method
Python audit
TypeScript audit.list
Java client.audit.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
action query QueryParam[str | None] No null
subject query QueryParam[str | None] No null
from_date query QueryParam[str | None] No null
through_date query QueryParam[str | None] No null
time_zone query QueryParam[str] No "UTC"
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25
sort query QueryParam[str] No "created_at"
order query QueryParam[str] No "desc"

Request and response

Contract Value
Request schema No request schema declared
Response schema Page[AuditEvent]
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Context

HTTP
GET /api/v1/context

Contract operation: ContextController.context.

SDK Method
Python context
TypeScript context
Java client.platform.context

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema ContextResponse
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

List

HTTP
GET /api/v1/tenants/{tenant_id}/jobs

Contract operation: JobController.list.

SDK Method
Python jobs
TypeScript jobs.list
Java client.jobs.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema Page[Job]
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/jobs/{job_id}

Contract operation: JobController.get.

SDK Method
Python job
TypeScript jobs.get
Java client.jobs.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
job_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema Job
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/jobs/{job_id}/cancel

Contract operation: JobController.cancel.

SDK Method
Python cancel_job
TypeScript jobs.cancel
Java client.jobs.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
job_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema Job
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Providers

HTTP
GET /api/v1/tenants/{tenant_id}/communications/recipient-providers

Contract operation: CommunicationsController.providers.

SDK Method
Python communication_providers
TypeScript communications.recipients.providers
Java client.communications.recipientProviders

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 20

Request and response

Contract Value
Request schema No request schema declared
Response schema RecipientProviderPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

HTTP
GET /api/v1/tenants/{tenant_id}/communications/recipients

Contract operation: CommunicationsController.recipients_search.

SDK Method
Python communication_recipients
TypeScript communications.recipients.list
Java client.communications.recipients

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
provider_id query QueryParam[str | None] No null
workspace_id query QueryParam[str | None] No null
after query QueryParam[str | None] No null
limit query QueryParam[int] No 20

Request and response

Contract Value
Request schema No request schema declared
Response schema DirectoryRecipientPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Preview

HTTP
POST /api/v1/tenants/{tenant_id}/invitations/email/preview

Contract operation: CommunicationsController.preview.

SDK Method
Python preview_email_invitation
TypeScript communications.emailInvitations.preview
Java client.communications.previewInvitation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[EmailInvitationInput]] Yes Not specified

Request and response

Contract Value
Request schema EmailInvitationInput
Response schema EmailPreview
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/invitations/email

Contract operation: CommunicationsController.create.

SDK Method
Python create_email_invitation
TypeScript communications.emailInvitations.create
Java client.communications.createInvitation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[EmailInvitationInput]] Yes Not specified

Request and response

Contract Value
Request schema EmailInvitationInput
Response schema EmailInvitation
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Page

HTTP
GET /api/v1/tenants/{tenant_id}/invitations/email

Contract operation: CommunicationsController.page.

SDK Method
Python email_invitations
TypeScript communications.emailInvitations.list
Java client.communications.invitations

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null
status query QueryParam[str] No "pending"
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema EmailInvitationPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Revoke

HTTP
DELETE /api/v1/tenants/{tenant_id}/invitations/email/{invitation_id}

Contract operation: CommunicationsController.revoke.

SDK Method
Python revoke_email_invitation
TypeScript communications.emailInvitations.revoke
Java client.communications.revokeInvitation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
invitation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema No response body
Success status 204
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Resend

HTTP
POST /api/v1/tenants/{tenant_id}/invitations/email/{invitation_id}/resend

Contract operation: CommunicationsController.resend.

SDK Method
Python resend_email_invitation
TypeScript communications.emailInvitations.resend
Java client.communications.resendInvitation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
invitation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema EmailInvitation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Inspect

HTTP
GET /api/v1/invitations/email/{invitation_id}

Contract operation: CommunicationsController.inspect.

SDK Method
Python email_invitation
TypeScript communications.emailInvitations.review
Java client.emailInvitations.review

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
invitation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema InvitationReview
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Accept

HTTP
POST /api/v1/invitations/email/{invitation_id}/accept

Contract operation: CommunicationsController.accept.

SDK Method
Python accept_email_invitation
TypeScript communications.emailInvitations.accept
Java client.emailInvitations.accept

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
invitation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema Membership
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Decline

HTTP
POST /api/v1/invitations/email/{invitation_id}/decline

Contract operation: CommunicationsController.decline.

SDK Method
Python decline_email_invitation
TypeScript communications.emailInvitations.decline
Java client.emailInvitations.decline

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
invitation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema InvitationReview
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Capabilities

HTTP
GET /api/v1/tenants/{tenant_id}/communications/capabilities

Contract operation: CommunicationsController.capabilities.

SDK Method
Python communications_capabilities
TypeScript communications.administration.capabilities
Java client.communications.capabilities

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema CommunicationCapabilities
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Policy

HTTP
GET /api/v1/tenants/{tenant_id}/communications/policy

Contract operation: CommunicationsController.policy.

SDK Method
Python communications_policy
TypeScript communications.administration.policy
Java client.communications.policy

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema CommunicationPolicy
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Policy update

HTTP
PATCH /api/v1/tenants/{tenant_id}/communications/policy

Contract operation: CommunicationsController.policy_update.

SDK Method
Python update_communications_policy
TypeScript communications.administration.updatePolicy
Java client.communications.updatePolicy

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[CommunicationPolicyInput]] Yes Not specified

Request and response

Contract Value
Request schema CommunicationPolicyInput
Response schema CommunicationPolicy
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Deliveries

HTTP
GET /api/v1/tenants/{tenant_id}/communications/deliveries

Contract operation: CommunicationsController.deliveries.

SDK Method
Python communication_deliveries
TypeScript communications.administration.deliveries
Java client.communications.deliveries

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null
status query QueryParam[str | None] No null
kind query QueryParam[str | None] No null
channel query QueryParam[str] No "email"
created_from query QueryParam[str | None] No null
created_to query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema DeliveryPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Delivery

HTTP
GET /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}

Contract operation: CommunicationsController.delivery.

SDK Method
Python communication_delivery
TypeScript communications.administration.delivery
Java client.communications.delivery

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DeliveryRecord
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Retry

HTTP
POST /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}/retry

Contract operation: CommunicationsController.retry.

SDK Method
Python retry_communication_delivery
TypeScript communications.administration.retry
Java client.communications.retryDelivery

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DeliveryRecord
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Page

HTTP
GET /api/v1/notifications

Contract operation: NotificationController.page.

SDK Method
Python notifications
TypeScript communications.notifications.list
Java client.notifications.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id query QueryParam[str | None] No null
kind query QueryParam[str | None] No null
read query QueryParam[str] No "all"
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema OwnNotificationPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Unread count

HTTP
GET /api/v1/notifications/unread-count

Contract operation: NotificationController.unread_count.

SDK Method
Python notification_unread_count
TypeScript communications.notifications.unreadCount
Java client.notifications.unreadCount

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema NotificationUnreadCount
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Read

HTTP
POST /api/v1/notifications/{notification_id}/read

Contract operation: NotificationController.read.

SDK Method
Python read_notification
TypeScript communications.notifications.markRead
Java client.notifications.markRead

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
notification_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema OwnNotification
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Preferences

HTTP
GET /api/v1/notifications/preferences

Contract operation: NotificationController.preferences.

SDK Method
Python notification_preferences
TypeScript communications.notifications.preferences
Java client.notifications.preferences

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema NotificationPreferences
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Preferences update

HTTP
PATCH /api/v1/notifications/preferences

Contract operation: NotificationController.preferences_update.

SDK Method
Python update_notification_preferences
TypeScript communications.notifications.updatePreferences
Java client.notifications.updatePreferences

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
body body Valid[Body[NotificationPreferencesInput]] Yes Not specified

Request and response

Contract Value
Request schema NotificationPreferencesInput
Response schema NotificationPreferences
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Preferences preview

HTTP
POST /api/v1/notifications/preferences/preview

Contract operation: NotificationController.preferences_preview.

SDK Method
Python preview_notification_schedule
TypeScript communications.notifications.previewPreferences
Java client.notifications.previewSchedule

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
body body Valid[Body[NotificationPreferencesInput]] Yes Not specified

Request and response

Contract Value
Request schema NotificationPreferencesInput
Response schema DigestSchedulePreview
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Email preview

HTTP
POST /api/v1/notifications/preferences/email-preview

Contract operation: NotificationController.email_preview.

SDK Method
Python preview_activity_email
TypeScript communications.notifications.previewEmail
Java client.notifications.previewEmail

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
body body Valid[Body[ActivityEmailPreviewInput]] Yes Not specified

Request and response

Contract Value
Request schema ActivityEmailPreviewInput
Response schema EmailPreview
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Delivery recovery

HTTP
GET /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}/recovery

Contract operation: DeliveryRecoveryController.delivery_recovery.

SDK Method
Python communication_delivery_recovery
TypeScript communications.administration.recovery
Java client.communications.recovery

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DeliveryRecoveryOptions
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Delivery observations

HTTP
GET /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}/observations

Contract operation: DeliveryRecoveryController.delivery_observations.

SDK Method
Python communication_delivery_observations
TypeScript communications.administration.observations
Java client.communications.observations

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DeliveryObservationPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Inspect delivery

HTTP
POST /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}/observations

Contract operation: DeliveryRecoveryController.inspect_delivery.

SDK Method
Python inspect_communication_delivery
TypeScript communications.administration.inspectDelivery
Java client.communications.inspectDelivery

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified
body body Valid[Body[DeliveryInspectionInput]] Yes Not specified

Request and response

Contract Value
Request schema DeliveryInspectionInput
Response schema DeliveryOperationObservation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Recover welcome

HTTP
POST /api/v1/tenants/{tenant_id}/communications/deliveries/{delivery_id}/welcome-recovery

Contract operation: DeliveryRecoveryController.recover_welcome.

SDK Method
Python recover_welcome_delivery
TypeScript communications.administration.recoverWelcome
Java client.communications.recoverWelcome

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
delivery_id path PathVar[str] Yes Not specified
body body Valid[Body[WelcomeRecoveryInput]] Yes Not specified

Request and response

Contract Value
Request schema WelcomeRecoveryInput
Response schema WelcomeRecoveryAcknowledgement
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Conversation

HTTP
POST /api/v1/tenants/{tenant_id}/evidence/conversations

Contract operation: EvidenceController.conversation.

SDK Method
Python conversation_evidence
TypeScript evidence.conversation
Java client.evidence.conversation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[MessageSelection]] Yes Not specified

Request and response

Contract Value
Request schema MessageSelection
Response schema EvidenceManifest
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Defaults

HTTP
GET /api/v1/branding/defaults

Contract operation: BrandingDefaultsController.defaults.

SDK Method
Python branding_defaults
TypeScript branding.defaults
Java client.brandingDefaults.defaults

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema BrandingValues
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/branding

Contract operation: OrganizationBrandingController.get.

SDK Method
Python organization_branding
TypeScript branding.get
Java client.organizationBranding.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema OrganizationBranding
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update

HTTP
PUT /api/v1/tenants/{tenant_id}/branding

Contract operation: OrganizationBrandingController.update.

SDK Method
Python update_organization_branding
TypeScript branding.update
Java client.organizationBranding.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[OrganizationBrandingInput]] Yes Not specified

Request and response

Contract Value
Request schema OrganizationBrandingInput
Response schema OrganizationBranding
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Reset

HTTP
POST /api/v1/tenants/{tenant_id}/branding/reset

Contract operation: OrganizationBrandingController.reset.

SDK Method
Python reset_organization_branding
TypeScript branding.reset
Java client.organizationBranding.reset

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[BrandingResetInput]] Yes Not specified

Request and response

Contract Value
Request schema BrandingResetInput
Response schema OrganizationBranding
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Health

HTTP
GET /api/v1/tenants/{tenant_id}/platform/health

Contract operation: PlatformController.health.

SDK Method
Python platform_health
TypeScript platformHealth.health
Java client.platformHealth.health

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema PlatformHealth
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

System information

HTTP
GET /api/v1/tenants/{tenant_id}/platform/system-information

Contract operation: PlatformController.system_information.

SDK Method
Python system_information
TypeScript platformHealth.systemInformation
Java client.platformHealth.systemInformation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema SystemInformation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Capabilities

HTTP
GET /api/v1/capabilities

Contract operation: CapabilitiesController.capabilities.

SDK Method
Python capabilities
TypeScript capabilities
Java client.platform.capabilities

Parameters

No path, query or body arguments are declared in the canonical operation metadata.

Request and response

Contract Value
Request schema No request schema declared
Response schema Capabilities
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.